Alaya NeW Cloud
查询实例列表

分页查询当前可见的容器实例列表,支持按名称、状态等条件筛选,可周期性调用以感知实例状态变化。同步返回。

GEThttps://api.alayanew.com/api/osm/v1/cci/instance/list

鉴权(Authorizations)

AuthorizationString必填

用户获取Authorization请求头后,通过该请求头完成身份认证。例如:Authorization: [your-auth-header]。

Query Parameters

pageNoInteger

页码,默认 1。

pageSizeInteger

每页行数,默认 20。

nameString

实例名称,支持模糊查询。例如:cci-demo。

statusString

实例状态。例如:RUNNING。

idString

实例 ID。例如:2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88。

orderInstanceIdString

订阅实例 ID。例如:b9f0e6c1-8f0f-4b0e-b2f5-6a9d81a4c3e2。

userIdString

创建人用户 ID,仅主账号精确查询时生效。

aidcIdLong

智算中心 ID。例如:1。

priorityInteger

优先级,1~3,数值越小优先级越高。

computeResourceTypeString

计算资源类型:ELASTIC(弹性)/ EXCLUSIVE(独占)。

tenantIdString

租户 ID。

Response

statusInteger

业务状态码,200 表示成功。

messageString

接口响应信息。例如:"OK"。

dataObject

分页数据对象。

显示 properties
recordsArray

实例列表。

显示 properties
idString

实例 ID。例如:"2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88"。

nameString

实例名称。例如:"cci-demo-01"。

descriptionString

实例描述。例如:"训练用容器实例"。

orderInstanceIdString

订阅实例 ID。例如:"b9f0e6c1-8f0f-4b0e-b2f5-6a9d81a4c3e2"。

statusString

实例状态。例如:"RUNNING"。

subStatusString

实例子状态,无子状态时为空字符串。

priorityInteger

优先级,1~3,数值越小优先级越高。例如:2。

computeResourceTypeString

计算资源类型:ELASTIC(弹性)/ EXCLUSIVE(独占)。例如:"ELASTIC"。

createTimeString

创建时间。例如:"2026-10-13 14:30:00"。

startTimeString

开机时间。例如:"2026-10-14 09:00:00"。

stopTimeString

关机时间,未关机时为空字符串。

autoStopEnableBoolean

是否启用定时关机。例如:true。

autoStopTimeString

定时关机时间,未启用时为空字符串。例如:"2026-10-14 22:00:00"。

autoReleaseEnableBoolean

是否启用定时释放。例如:false。

autoReleaseTimeString

定时释放时间,未启用时为空字符串。

imageString

镜像地址。例如:"hub.example.com/public/pytorch:2.3-cuda12.1"。

aidcIdLong

智算中心 ID。例如:1。

aidcNameString

智算中心名称。例如:"华东一智算中心"。

resourceObject

资源配置。

显示 properties
cpuCoresString

CPU 核数。例如:"96"。

memoryGBString

内存大小(GB)。例如:"768"。

gpuNameString

加速卡型号。例如:"XPU-A100"。

gpuCountString

加速卡数量。例如:"8"。

diskGBString

系统盘容量(GB)。例如:"200"。

skuCodeString

规格编码。例如:"cci.gpu.g8xlarge"。

skuNameString

规格名称。例如:"GPU 计算型 g8xlarge"。

saveImageStatusBoolean

镜像保存状态。例如:false。

storageSizeInteger

存储容量。例如:1024。

webSSHUrlString

Web SSH 终端地址。例如:"https://ssh.example.com/terminal/2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88"。

jupyterUrlString

Jupyter 访问地址。例如:"https://jupyter.example.com/cci/2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88"。

jupyterHealthBoolean

Jupyter 服务是否健康。例如:true。

vscodeUrlString

VS Code 访问地址。例如:"https://vscode.example.com/cci/2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88"。

vscodeHealthBoolean

VS Code 服务是否健康。例如:true。

pageNoInteger

当前页码。例如:1。

pageSizeInteger

每页行数。例如:10。

totalRowsInteger

总行数。例如:1。

curl -X 'GET' \
  'https://api.alayanew.com/api/osm/v1/cci/instance/list?pageNo=1&pageSize=10&name=cci-demo&status=RUNNING' \
  -H 'accept: application/json' \
  -H 'Authorization: [your-auth-header]'
import requests

url = "https://api.alayanew.com/api/osm/v1/cci/instance/list"
params = {"pageNo": 1, "pageSize": 10, "name": "cci-demo", "status": "RUNNING"}
headers = {
    "accept": "application/json",
    "Authorization": "[your-auth-header]"
}

response = requests.get(url, params=params, headers=headers)
print(response.json())
const params = new URLSearchParams({
  pageNo: '1',
  pageSize: '10',
  name: 'cci-demo',
  status: 'RUNNING'
});

fetch(`https://api.alayanew.com/api/osm/v1/cci/instance/list?${params}`, {
  method: 'GET',
  headers: {
    'accept': 'application/json',
    'Authorization': '[your-auth-header]'
  }
})
  .then(res => res.json())
  .then(console.log)
  .catch(console.error);
{
  "status": 200,
  "message": "OK",
  "data": {
    "records": [
      {
        "id": "2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88",
        "name": "cci-demo-01",
        "description": "训练用容器实例",
        "orderInstanceId": "b9f0e6c1-8f0f-4b0e-b2f5-6a9d81a4c3e2",
        "status": "RUNNING",
        "subStatus": "",
        "priority": 2,
        "computeResourceType": "ELASTIC",
        "createTime": "2026-10-13 14:30:00",
        "startTime": "2026-10-14 09:00:00",
        "stopTime": "",
        "autoStopEnable": true,
        "autoStopTime": "2026-10-14 22:00:00",
        "autoReleaseEnable": false,
        "autoReleaseTime": "",
        "image": "hub.example.com/public/pytorch:2.3-cuda12.1",
        "aidcId": 1,
        "aidcName": "华东一智算中心",
        "resource": {
          "cpuCores": "96",
          "memoryGB": "768",
          "gpuName": "XPU-A100",
          "gpuCount": "8",
          "diskGB": "200"
        },
        "skuCode": "cci.gpu.g8xlarge",
        "skuName": "GPU 计算型 g8xlarge",
        "saveImageStatus": false,
        "storageSize": 1024,
        "webSSHUrl": "https://ssh.example.com/terminal/2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88",
        "jupyterUrl": "https://jupyter.example.com/cci/2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88",
        "jupyterHealth": true,
        "vscodeUrl": "https://vscode.example.com/cci/2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88",
        "vscodeHealth": true
      }
    ],
    "pageNo": 1,
    "pageSize": 10,
    "totalRows": 1
  }
}

Last updated on